Loading...
Searching...
No Matches
DiColorCopyTemplate< T > Class Template Reference

Template class to copy color pixel data. More...

Inheritance diagram for DiColorCopyTemplate< T >:

## Public Member Functions

| DiColorCopyTemplate (const DiColorPixel *pixel, const unsigned long fstart, const unsigned long fcount, const unsigned long fsize)
| constructor
| ~DiColorCopyTemplate ()
| destructor
Public Member Functions inherited from DiColorPixelTemplate< T >
| DiColorPixelTemplate (const DiDocument *docu, const DiInputPixel *pixel, const Uint16 samples, EI_Status &status, const Uint16 sample_rate=0)
| constructor
virtual | ~DiColorPixelTemplate ()
| destructor
EP_Representation | getRepresentation () const
| get integer representation
const void * | getData () const
| get pointer to internal array of pixel data.
void * | getDataPtr ()
| get pointer to internal array of pixel data.
void * | getDataArrayPtr ()
| get pointer to internal array of pixel data.
OFBool | getPixelData (void *data, const unsigned long count, const unsigned long fcount, const unsigned long frames, const int planar) const
| fill given memory block with pixel data (all three image planes, RGB)
unsigned long | createDIB (void *&data, const unsigned long size, const Uint16 width, const Uint16 height, const unsigned long frame, const int fromBits, const int toBits, const int mode, const int upsideDown, const int padding) const
| create true color (24/32 bit) bitmap for MS Windows.
unsigned long | createAWTBitmap (void *&data, const Uint16 width, const Uint16 height, const unsigned long frame, const int fromBits, const int toBits) const
| create true color (32 bit) bitmap for Java (AWT default format).
Public Member Functions inherited from DiColorPixel
| DiColorPixel (const DiDocument *docu, const DiInputPixel *pixel, const Uint16 samples, EI_Status &status, const Uint16 sample_rate=0)
| constructor
virtual | ~DiColorPixel ()
| destructor
int | getPlanes () const
| get number of planes
int | getPlanarConfiguration () const
| get planar configuration of the original pixel data
Public Member Functions inherited from DiPixel
| DiPixel (const unsigned long count, const unsigned long inputCount=0)
| constructor
virtual | ~DiPixel ()
| destructor
unsigned long | getCount () const
| get number of pixels
unsigned long | getInputCount () const
| get number of pixels stored in the 'PixelData' element
Public Member Functions inherited from DiPixelRepresentationTemplate< T >
| DiPixelRepresentationTemplate ()
| default constructor
virtual | ~DiPixelRepresentationTemplate ()
| destructor
int | isSigned () const
| check whether template type T is signed or not

## Private Member Functions

void | copy (const T *pixel[3], const unsigned long offset)
| copy specified amount of pixel data

## Additional Inherited Members

Protected Member Functions inherited from DiColorPixelTemplate< T >
| DiColorPixelTemplate (const DiColorPixel *pixel, const unsigned long count)
| constructor
int | Init (const void *pixel)
| initialize internal memory
Protected Member Functions inherited from DiColorPixel
| DiColorPixel (const DiColorPixel *pixel, const unsigned long count)
| constructor
Protected Attributes inherited from DiColorPixelTemplate< T >
T * | Data [3]
| pointer to pixel data (3 components)
Protected Attributes inherited from DiColorPixel
int | PlanarConfiguration
| planar configuration of the original pixel data (0 = color-by-pixel, 1 = color-by-plane)
Protected Attributes inherited from DiPixel
unsigned long | Count
| number of pixels
unsigned long | InputCount
| number of pixels in the input buffer

## Detailed Description

template<class T>
class DiColorCopyTemplate< T >

Template class to copy color pixel data.

## Constructor & Destructor Documentation

## DiColorCopyTemplate()

template<class T>

DiColorCopyTemplate< T >::DiColorCopyTemplate | ( | const DiColorPixel * | pixel,
|  | const unsigned long | fstart,
|  | const unsigned long | fcount,
|  | const unsigned long | fsize )

inline

constructor

Parameters

  pixel | pointer to color intermediate representation of pixel data
  fstart | first frame to be copied
  fcount | number of frames to be copied
  fsize | size of one frame (in bytes)

References DiColorPixel::DiColorPixel(), DiColorPixelTemplate< T >::DiColorPixelTemplate(), and DiPixel::getCount().

## Member Function Documentation

## copy()

template<class T>

void DiColorCopyTemplate< T >::copy | ( | const T * | pixel[3],
|  | const unsigned long | offset )

inline private

copy specified amount of pixel data

Parameters

  pixel | array of pixel data (3 color components) to be copied
  offset | offset to the first pixel to be copied

References OFBitmanipTemplate< T >::copyMem(), DiColorPixelTemplate< T >::Data, DiPixel::getCount(), and DiColorPixelTemplate< T >::Init().

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/dicocpt.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0